/* ----------------- BLAZOR ----------------- */
#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

/* ----------------- Application - Reset CSS ----------------- */
html, body {
    margin: 0;
    padding: 0;
    border: 0;
}

a {
    text-decoration: none;
    text-decoration-color: none;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    border: 0;
    vertical-align: baseline;
}

/* ----------------- Application - global style ----------------- */
.validation-message {
    color: var(--error);
    font-style: italic;
    padding: 4px;
}

fluent-option.padded {
    padding-left: 10px;
    padding-right: 10px;
}

/* fluent UI DataGrid Multiline hotfix on hierarchical data */
.hierarchical-toggle-container {
    height: auto !important;
    max-height: none !important;
    overflow: visible !important;
}

.hierarchical-expander {
    min-width: 18px;
}
